Find the answer to your Linux question:
Results 1 to 2 of 2
I was upgrading Enterprise WS 4 kernel 2.6.9-5 to WS 4 Update 2 (Nahant) kernel 2.6.9-22 to try and fix some Xterm problems. The update went through fine and didn't ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Nov 2005
    Location
    Kansas
    Posts
    7

    upgrade kernel 2.6.9-5 to 9-22 scriptlet failed


    I was upgrading Enterprise WS 4 kernel 2.6.9-5 to WS 4 Update 2 (Nahant) kernel 2.6.9-22 to try and fix some Xterm problems. The update went through fine and didn't report any errors; but the upgrade.log showed the following regarding the upgrade

    kernel 2.6.9-22
    error: %pre(Kernel-2.6.9-22.EL.i686)
    Scriptlet failed, exit status 255

    It was the same for 22.ELsmp. What I noticed is that everything trying to upgrade something with i686 had the same scriptlet fail in the log, but I know the computer is a 686 and not a 386. What's more, uname -a and /etc/redhat-release does recognize that the version is WS 4 update 2 (Nahant) despite the fact that the old kernel remains. The option to boot new kernel doesn't even register in GRUB. Any thoughts or suggestions?

  2. #2
    Just Joined!
    Join Date
    Nov 2005
    Location
    Kansas
    Posts
    7
    I should probably also mention that I have several other WS 3 computers that got upgraded to Enterprise Work Station 4 and the kernel was updated without a problem.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •